Subject: Re: bug#73462: emacs-guix: shell commands broken

From: Christopher Howard <[email-masked]>
Date: Tue, 05 Nov 2024 09:49:06 -0900

Feels like I'm shouting into the void here, but continuing to upload my troubleshooting notes anyway...

So, there seems to be some difference here between the *Guix REPL* buffer and the *Guix Internal REPL* buffer. From a fresh *Guix REPL*, I can run the commands with no problem:

```
scheme@(emacs-guix)> (help-string)
$12 = "Usage: ...snipped for brevity..."
$13 = ""
scheme@(emacs-guix)> ,m (guix scripts deploy)
scheme@(guix scripts deploy)> #~()
$14 = #<gexp () 7ff5757f60f0>
```

However, if I try the same thing from *Guix Internal REPL*, I get errors:

```
scheme@(emacs-guix) [1]> ,m (guix scripts deploy)
scheme@(guix scripts deploy) [1]> #~()
While reading expression:
socket:49:3: Unknown # object: "#~"
scheme@(guix scripts deploy) [1]> ,re
While executing meta-command:
/home/christopher/.config/guix/current/share/guile/site/3.0/guix/scripts/deploy.scm:176:7: Unknown # object: "#~"
```

I can get it to work if I reload (guix gexp) manually:

```
scheme@(guix scripts deploy) [1]> ,re (guix gexp)
scheme@(guix scripts deploy) [1]> #~()
$15 = #<gexp () socket:74:0 7ff56da2cba0>
scheme@(guix scripts deploy) [1]> ,m (emacs-guix)
scheme@(emacs-guix) [1]> (help-string)
$16 = "Usage: ...snipped for brevity..."
$17 = ""
```

And then after that the guix pop up also works.

So, I still don't know why the reader syntax is not loading correctly in the internal buffer, but at least it appears to be limited to just that buffer.

-- 
Christopher Howard